%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	ZRTP keys exchange protocol implementation
Name:		bzrtp
Version:	4.4.21
Release:	%mkrel 1
License:	GPLv2
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://github.com/BelledonneCommunications/bzrtp/archive/%{version}/%{name}-%{version}.tar.xz
# (wally) install .pc file with cmake
Patch0:		bzrtp-cmake-install-pkgconfig-pc-file.patch
# (wally) fix cmake config file location
Patch1:         bzrtp-cmake-config-location.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(bctoolbox) >= %{version}
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)

%description
bzrtp is a FOSS implementation of ZRTP keys exchange protocol.
The library is written in C 89, is fully portable, and can be executed
on many platforms including x86 and ARM processors.

%package -n	%{libname}
Summary:	ZRTP keys exchange protocol implementation
Group:		System/Libraries

%description -n	%{libname}
bzrtp is a FOSS implementation of ZRTP keys exchange protocol.
The library is written in C 89, is fully portable, and can be executed
on many platforms including x86 and ARM processors.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	bzrtp-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -q
%apply_patches

# Fix version
sed -i -e '/bzrtp/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/cmake/%{name}/


%changelog
* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
